slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNGetTolerances

Gets the tolerance and maximum iteration count used by the MFN convergence tests.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNGetTolerances(MFN mfn,PetscReal *tol,PetscInt *maxits)

Not Collective

### Input Parameter

| mfn | - the matrix function context

### Output Parameters

| tol | - the convergence tolerance
| maxits | - maximum number of iterations

### Notes

The user can specify NULL for any parameter that is not needed.

### See Also

MFNSetTolerances()

### Level

intermediate

### Location

src/mfn/interface/mfnopts.c

### Examples

src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex23f.F90
src/mfn/tutorials/ex26.c
src/mfn/tutorials/ex37.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages